Loading...
Searching...
No Matches
Catch::WildcardPattern Class Reference

`#include <catch_amalgamated.hpp>`

## Public Member Functions

| WildcardPattern (std::string const &pattern, CaseSensitive caseSensitivity)
bool | matches (std::string const &str) const

## Private Types

enum | WildcardPosition { NoWildcard = 0 , WildcardAtStart = 1 , WildcardAtEnd = 2 , WildcardAtBothEnds = WildcardAtStart | WildcardAtEnd }

## Private Member Functions

std::string | normaliseString (std::string const &str) const

## Private Attributes

CaseSensitive | m_caseSensitivity
WildcardPosition | m_wildcard = NoWildcard
std::string | m_pattern

## Member Enumeration Documentation

## WildcardPosition

enum Catch::WildcardPattern::WildcardPosition

private

Enumerator
NoWildcard |
WildcardAtStart |
WildcardAtEnd |
WildcardAtBothEnds |

## Constructor & Destructor Documentation

## WildcardPattern()

Catch::WildcardPattern::WildcardPattern | ( | std::string const & | pattern,
|  | CaseSensitive | caseSensitivity )

Here is the call graph for this function:

## Member Function Documentation

## matches()

bool Catch::WildcardPattern::matches | ( | std::string const & | str | ) | const

Here is the call graph for this function:

## normaliseString()

std::string Catch::WildcardPattern::normaliseString | ( | std::string const & | str | ) | const

private

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## m_caseSensitivity

CaseSensitive Catch::WildcardPattern::m_caseSensitivity

private

## m_pattern

std::string Catch::WildcardPattern::m_pattern

private

## m_wildcard

WildcardPosition Catch::WildcardPattern::m_wildcard = NoWildcard

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp